org.apache.fop.render.pcl.extensions

## Class PCLElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.render.pcl.extensions.PCLElementMapping

    public class PCLElementMapping
    extends ElementMapping

PCL-specific extensions for Apache FOP.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

`ElementMapping.Maker`

### Field Summary

Fields
`static String` `NAMESPACE` The namespace used for PCL extensions
`static String` `NAMESPACE_PREFIX` The usual namespace prefix used for PCL extensions
`static org.apache.xmlgraphics.util.QName` `PCL_DUPLEX_MODE` The extension attribute for the PCL duplex mode
`static org.apache.xmlgraphics.util.QName` `PCL_OUTPUT_BIN` The extension attribute for the PCL output bin
`static org.apache.xmlgraphics.util.QName` `PCL_PAPER_SOURCE` The extension attribute for the PCL paper source

### Fields inherited from class org.apache.fop.fo.ElementMapping

`DEFAULT, foObjs, namespaceURI`

### Constructor Summary

Constructors
Constructor and Description
`PCLElementMapping()` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `initialize()` Initializes the set of maker objects associated with this ElementMapping

### Methods inherited from class org.apache.fop.fo.ElementMapping

`getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getStandardPrefix, getTable, isAttributeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAMESPACE

    public static final String NAMESPACE

The namespace used for PCL extensions

See Also:
  Constant Field Values

#### NAMESPACE_PREFIX

    public static final String NAMESPACE_PREFIX

The usual namespace prefix used for PCL extensions

See Also:
  Constant Field Values

#### PCL_PAPER_SOURCE

    public static final org.apache.xmlgraphics.util.QName PCL_PAPER_SOURCE

The extension attribute for the PCL paper source

#### PCL_OUTPUT_BIN

    public static final org.apache.xmlgraphics.util.QName PCL_OUTPUT_BIN

The extension attribute for the PCL output bin

#### PCL_DUPLEX_MODE

    public static final org.apache.xmlgraphics.util.QName PCL_DUPLEX_MODE

The extension attribute for the PCL duplex mode

### Constructor Detail

#### PCLElementMapping

    public PCLElementMapping()

Main constructor

### Method Detail

#### initialize

    protected void initialize()

Initializes the set of maker objects associated with this ElementMapping

Specified by:
  `initialize` in class `ElementMapping`